button {
    background-color: transparent;
    outline: 0;
    border-style: none;
}
.navigation-overlay-style {
    background-color: black;
    opacity: 50%;
    width: 9999px;
    height: 9999px;
}
.navigation-overlay {

}
/* FIXME: This is a MASSIVE hack. I wasn't able to find the place where the padding was applied */
/*        This hack is supposed to fix the padding of 17px being applied when the "Client zone" was clicked */
body {
    padding-right: 0 !important;
}

header {
    background-color: #2F202D;
    border-bottom: #594D57 solid 1px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    -webkit-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
    -webkit-box-shadow: 0 1px 5px 0 rgb(0 0 0 / 12%);
    box-shadow: 0 1px 5px 0 rgb(0 0 0 / 12%);
    /*padding-top: 80px;*/
    max-height: 80px;
    height: 100%;
    color: white;

    @media screen and (max-width: 1199px) {
        display: none;
    }
}

.header-nav {
    max-width: 1920px !important;
    margin: 0 auto !important;
    position: unset !important;
    top: unset !important;
    left: unset !important;
    width: unset !important;
    padding-top: unset !important;
    z-index: unset !important;
    box-shadow: unset !important;
    -webkit-box-shadow: unset !important;
    height: 100% !important;
    padding: 0 80px !important;

    @media screen and (max-width: 1750px) {
        padding: 16px 20px !important;
    }
}

.nav-content {
    display: flex;
    align-items: center;
    height: 100%;
}

.nav-logo-container {
    max-width: 174px;
    flex: 0 1 174px;
    margin-right: 65px;

    @media screen and (max-width: 1299px) {
        max-width: 150px;
        flex: 0 1 150px;
        margin-right: 32px;
    }
}

.nav-logo-container img {
    @media screen and (max-width: 1299px) {
        max-width: 150px;
    }
}

.nav-menus-container {
    flex: 1 1 100%;
}

.nav-misc-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex: 0 0 auto;
    width: auto;
    gap: 24px;
    max-height: 48px;
}

.nav-menus-list {
    display: flex;
    flex-direction: row;
    list-style: none;
    align-items: center;
    margin: 0;
    padding: 0;
    gap: 32px;
}

.nav-menus-item {
    max-width: fit-content;
    position: relative;
}

nav .nav-dropdown-menu {
    top: 51px;
    border-radius: 0 0 4px 4px;
    background-color: white;
    color: black;
    padding: 4px;
    width: max-content;
}

.nav-dropdown-menu__search {
    position: absolute;
    top: 100%;
    border: solid #594D57 10px;
    outline: none;
    border-radius: 0 0 10px 10px;
}

.nav-dropdown-menu__search input {
    outline: none;
    border: none;
    padding: 6px 10px;
    font-size: 14px;
    width: 100%;
}

.nav-dropdown-menu__search button {
    background-color: #2F202D;
    padding: 6px 10px;
    font-size: 14px;
    flex: 0 1;
}

.menu-button {
    color: white;
    outline: none !important;
    padding: 0;
}

.menu-button:hover,
.menu-button.active {
    color: #D4A773;
}

.menu-button img {
    transition: transform 200ms ease;
}

.menu-button.active img:last-child {
    transform: rotate(180deg);
    filter: brightness(0) saturate(100%) invert(68%) sepia(22%) saturate(693%) hue-rotate(352deg) brightness(99%) contrast(86%);
}

.nav-dropdown-menu__element {
    padding: 8px 16px;
    color: black !important;
    text-decoration: none !important;
    display: block;
    border-radius: 4px;
}

.nav-dropdown-menu__element:hover {
    background-color: #D4A773;
}

.nav-dropdown-menu {
    position: absolute;
    display: none;
}
.nav-dropdown-menu.show {
    display: block;
}

#nav-search-button {
    transition: 150ms linear;
    background-image: url("/img/nav/icon-search.png");
    width: 21px;
    height: 21px;
    outline: none !important;
}

#nav-search-button.active {
    background-image: url("/img/clients-zone/x.png");
    width: 18px;
    height: 18px;
}

.vertical-line {
    width: 1px;
    height: 40px;
    background-color: #594D57;
    max-height: 24px;
    /*margin: 0 10px;*/
}

.show-client-zone-button {
    font-size: 16px;

    @media screen and (max-width: 1500px) {
        font-size: 14px;
    }
    @media screen and (max-width: 1199px) {
        font-size: 12px;
    }
}

.client-zone button:hover {
    text-decoration: underline white;
}

.show-client-zone-button:focus {
    outline: none;
}

.account-icon {
    margin-right: 22px;
}

.header-big-button {
    background-color: #D4A773;
    text-decoration: none !important;
    color: black !important;
    border-radius: 8px;
    display: block;
    padding: 12px 24px;
}

.header-big-button:hover {
    opacity: 0.8;
}

.menu-button-lang {
    color: #9F989E;
}

.menu-button-lang:hover:not(.active) {
    color: #9F989E;
}

.nav-dropdown-menu__langs {
    top: 100% !important;
    padding: 8px !important;
    background-color: rgb(32, 22, 31) !important;
    border-left: 1px solid rgb(89, 77, 87) !important;
    border-bottom: 1px solid rgb(89, 77, 87) !important;
    border-right: 1px solid rgb(89, 77, 87) !important;
}

.nav-dropdown-menu-client-zone {
    top: 110% !important;
    border-radius: 8px !important;
    left: 68% !important;
}

.nav-offer-menu {
    /*top: 80px !important;*/
    background-color: #F2F4F7 !important;
    color: #101828;
    padding: 0 !important;
    width: 100vw !important;
    /*position: fixed;*/
    /*left: 50%;*/
    border-radius: 0 !important;
    /*transform: translateX(-50%);*/
}

.nav-offer-menu__inner {
    max-width: 1920px;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
}

.nav-offer-menu__category-buttons {
    border-right: 1px solid #E4E7EC;
    box-shadow: 0px 4px 16px 0px #00000029;
    /*flex: 1;*/
}

.login-logo {
    filter: unset !important;
}
